OverriddenMappingDefaults (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.internal
Class OverriddenMappingDefaults

    java.lang.Object
      org.hibernate.metamodel.source.internal.OverriddenMappingDefaults

All Implemented Interfaces:
  MappingDefaults

    public class OverriddenMappingDefaults

extends Object
implements MappingDefaults

Represents a "nested level" in the mapping defaults stack.

Constructor Summary
`OverriddenMappingDefaults(MappingDefaults overriddenValues, String packageName, String schemaName, String catalogName, String idColumnName, String discriminatorColumnName, String cascade, String propertyAccess, Boolean associationLaziness)`

Method Summary
`boolean` | `areAssociationsLazy()` Identifies whether associations are lazy by default if not specified in the mapping.
`AccessType` | `getCacheAccessType()` The default cache access type to use
`String` | `getCascadeStyle()` Identifies the default cascade style to apply to associations if none specified in the mapping.
`String` | `getCatalogName()` Identifies the default database catalog name to use if none specified in the mapping.
`String` | `getDiscriminatorColumnName()` Identifies the default column name to use for the discriminator column if none specified in the mapping.
`String` | `getIdColumnName()` Identifies the default column name to use for the identifier column if none specified in the mapping.
`String` | `getPackageName()` Identifies the default package name to use if none specified in the mapping.
`String` | `getPropertyAccessorName()` Identifies the default `PropertyAccessor` name to use if none specified in the mapping.
`String` | `getSchemaName()` Identifies the default database schema name to use if none specified in the mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverriddenMappingDefaults

    public OverriddenMappingDefaults(MappingDefaults overriddenValues,
                                     String packageName,
                                     String schemaName,
                                     String catalogName,
                                     String idColumnName,
                                     String discriminatorColumnName,
                                     String cascade,
                                     String propertyAccess,
                                     Boolean associationLaziness)

Method Detail

### getPackageName

    public String getPackageName()

  Description copied from interface: `MappingDefaults`
  Identifies the default package name to use if none specified in the mapping. Really only pertinent for `hbm.xml` mappings.

  Specified by:
    `getPackageName` in interface `MappingDefaults`
  Returns:
    The default package name.

### getSchemaName

    public String getSchemaName()

  Description copied from interface: `MappingDefaults`
  Identifies the default database schema name to use if none specified in the mapping.

  Specified by:
    `getSchemaName` in interface `MappingDefaults`
  Returns:
    The default schema name

### getCatalogName

    public String getCatalogName()

  Description copied from interface: `MappingDefaults`
  Identifies the default database catalog name to use if none specified in the mapping.

  Specified by:
    `getCatalogName` in interface `MappingDefaults`
  Returns:
    The default catalog name

### getIdColumnName

    public String getIdColumnName()

  Description copied from interface: `MappingDefaults`
  Identifies the default column name to use for the identifier column if none specified in the mapping.

  Specified by:
    `getIdColumnName` in interface `MappingDefaults`
  Returns:
    The default identifier column name

### getDiscriminatorColumnName

    public String getDiscriminatorColumnName()

  Description copied from interface: `MappingDefaults`
  Identifies the default column name to use for the discriminator column if none specified in the mapping.

  Specified by:
    `getDiscriminatorColumnName` in interface `MappingDefaults`
  Returns:
    The default discriminator column name

### getCascadeStyle

    public String getCascadeStyle()

  Description copied from interface: `MappingDefaults`
  Identifies the default cascade style to apply to associations if none specified in the mapping.

  Specified by:
    `getCascadeStyle` in interface `MappingDefaults`
  Returns:
    The default cascade style

### getPropertyAccessorName

    public String getPropertyAccessorName()

  Description copied from interface: `MappingDefaults`
  Identifies the default `PropertyAccessor` name to use if none specified in the mapping.

  Specified by:
    `getPropertyAccessorName` in interface `MappingDefaults`
  Returns:
    The default property accessor name
  See Also:
    `PropertyAccessorFactory`

### areAssociationsLazy

    public boolean areAssociationsLazy()

  Description copied from interface: `MappingDefaults`
  Identifies whether associations are lazy by default if not specified in the mapping.

  Specified by:
    `areAssociationsLazy` in interface `MappingDefaults`
  Returns:
    The default association laziness

### getCacheAccessType

    public AccessType getCacheAccessType()

  Description copied from interface: `MappingDefaults`
  The default cache access type to use

  Specified by:
    `getCacheAccessType` in interface `MappingDefaults`
  Returns:
    The default cache access type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.